Bug 1118428 - [abrt] WARNING: CPU: 0 PID: 1175 at drivers/gpu/drm/i915/intel_display.c:857 intel_wait_for_pipe_off+0x1db/0x1f0 [i915]() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 0 PID: 1175 at drivers/gpu/drm/i915/intel_display.c:857 ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3332d00e8fd12e90e0b27b0ed59...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 16:54 UTC by Jesse Kahtava
Modified: 2015-04-28 18:22 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 18:22:57 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (192.68 KB, text/plain)
2014-07-10 16:54 UTC, Jesse Kahtava
no flags Details

Description Jesse Kahtava 2014-07-10 16:54:21 UTC
Description of problem:
Unplugged external monitor from the DisplayPort

Additional info:
reporter:       libreport-2.2.2
WARNING: CPU: 0 PID: 1175 at drivers/gpu/drm/i915/intel_display.c:857 intel_wait_for_pipe_off+0x1db/0x1f0 [i915]()
pipe_off wait timed out
Modules linked in: ccm vhost_net vhost macvtap macvlan tcp_lp ipt_MASQUERADE xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp fuse ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support arc4 iwldvm mxm_wmi ppdev mac80211 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic iwlwifi cfg80211 sdhci_pci sdhci mmc_core coretemp kvm_intel kvm microcode usb_storage joydev serio_raw snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device uvcvideo intel_ips lpc_ich videobuf2_vmalloc i2c_i801 mfd_core videobuf2_memops videobuf2_core snd_pcm videodev btusb media bluetooth 6lowpan_iphc snd_timer shpchp e1000e ptp pps_core mei_me mei thinkpad_acpi snd soundcore tpm_tis rfkill tpm wmi parport_pc parport acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc dm_crypt btrfs xor raid6_pq crct10dif_pclmul crc32_pclmul crc32c_intel firewire_ohci i915 firewire_core i2c_algo_bit ghash_clmulni_intel crc_itu_t drm_kms_helper drm i2c_core video loop
CPU: 0 PID: 1175 Comm: Xorg Not tainted 3.14.2-200.fc20.x86_64 #1
Hardware name: LENOVO 2522BQ9/2522BQ9, BIOS 6IET85WW (1.45 ) 02/14/2013
 0000000000000000 00000000c4f9b5de ffff8802243fbbc0 ffffffff816eec92
 ffff8802243fbc08 ffff8802243fbbf8 ffffffff8108a1bd ffff88022e304000
 0000000000070008 00000001067aca92 0000000000000000 ffff88022e30a310
Call Trace:
 [<ffffffff816eec92>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0125348>] ? gen5_read32+0x48/0xc0 [i915]
 [<ffffffffa00e5e9b>] intel_wait_for_pipe_off+0x1db/0x1f0 [i915]
 [<ffffffffa00e5f50>] intel_disable_pipe+0xa0/0xb0 [i915]
 [<ffffffffa00e7074>] ironlake_crtc_disable+0xe4/0x950 [i915]
 [<ffffffff811fd830>] ? poll_select_copy_remaining+0x150/0x150
 [<ffffffffa00edb6f>] intel_crtc_update_dpms+0x6f/0xa0 [i915]
 [<ffffffffa00f16f9>] intel_connector_dpms+0x59/0x70 [i915]
 [<ffffffffa003d458>] drm_mode_obj_set_property_ioctl+0x328/0x340 [drm]
 [<ffffffffa003d4af>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
 [<ffffffffa002cbf2>] drm_ioctl+0x4f2/0x620 [drm]
 [<ffffffff815c7b91>] ? sock_aio_read+0x21/0x40
 [<ffffffff811e8de7>] ? do_sync_read+0x67/0xa0
 [<ffffffff811fcbe0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811e9524>] ? vfs_read+0xf4/0x160
 [<ffffffff811fce21>] SyS_ioctl+0x81/0xa0
 [<ffffffff81121c76>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816ff029>] system_call_fastpath+0x16/0x1b

Comment 1 Jesse Kahtava 2014-07-10 16:54:28 UTC
Created attachment 917148 [details]
File: dmesg

Comment 2 Josh Boyer 2014-07-10 20:47:59 UTC
Please reopen if you see this with the 3.15.y kernel updates.

Comment 3 Jesse Kahtava 2014-07-11 15:58:47 UTC
Tried with 3.15.4-200.fc20.x86_64. Still getting a warning when unplugging DisplayPort monitor.

[  271.354257] ------------[ cut here ]------------
[  271.354328] WARNING: CPU: 2 PID: 978 at drivers/gpu/drm/i915/intel_display.c:860 intel_wait_for_pipe_off+0x1de/0x1f0 [i915]()
[  271.354330] pipe_off wait timed out
[  271.354333] Modules linked in: ipt_MASQUERADE xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp ip6t_rpfilter fuse ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support ppdev snd_hda_codec_hdmi mxm_wmi snd_hda_codec_conexant snd_hda_codec_generic arc4 uvcvideo videobuf2_vmalloc videobuf2_memops iwldvm videobuf2_core coretemp mac80211 joydev videodev media kvm_intel kvm btusb bluetooth microcode serio_raw sdhci_pci sdhci snd_hda_intel iwlwifi i2c_i801
[  271.354388]  snd_hda_controller intel_ips mmc_core cfg80211 snd_hda_codec snd_hwdep snd_seq e1000e snd_seq_device tpm_tis snd_pcm tpm thinkpad_acpi mei_me parport_pc rfkill parport ptp snd_timer mei pps_core wmi snd soundcore lpc_ich shpchp mfd_core acpi_cpufreq binfmt_misc dm_crypt btrfs xor raid6_pq crct10dif_pclmul i915 crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper firewire_ohci drm video firewire_core crc_itu_t i2c_core loop
[  271.354432] CPU: 2 PID: 978 Comm: Xorg Tainted: G        W     3.15.4-200.fc20.x86_64 #1
[  271.354435] Hardware name: LENOVO 2522BQ9/2522BQ9, BIOS 6IET85WW (1.45 ) 02/14/2013
[  271.354438]  0000000000000000 000000002b584ad5 ffff88022345bbd8 ffffffff816ef2b1
[  271.354443]  ffff88022345bc20 ffff88022345bc10 ffffffff8108934d ffff88022d9dc000
[  271.354447]  0000000000071008 00000000ffff909b 0000000000000001 ffff88022e5b5348
[  271.354452] Call Trace:
[  271.354464]  [<ffffffff816ef2b1>] dump_stack+0x45/0x56
[  271.354470]  [<ffffffff8108934d>] warn_slowpath_common+0x7d/0xa0
[  271.354474]  [<ffffffff810893cc>] warn_slowpath_fmt+0x5c/0x80
[  271.354510]  [<ffffffffa0114ab7>] ? gen5_read32+0x57/0xd0 [i915]
[  271.354542]  [<ffffffffa0121bfe>] intel_wait_for_pipe_off+0x1de/0x1f0 [i915]
[  271.354575]  [<ffffffffa0121cbb>] intel_disable_pipe+0xab/0xc0 [i915]
[  271.354608]  [<ffffffffa0122f14>] ironlake_crtc_disable+0xe4/0x9a0 [i915]
[  271.354641]  [<ffffffffa0129df7>] intel_crtc_update_dpms+0x67/0xa0 [i915]
[  271.354674]  [<ffffffffa012dbc9>] intel_connector_dpms+0x59/0x70 [i915]
[  271.354701]  [<ffffffffa0060688>] drm_mode_obj_set_property_ioctl+0x328/0x340 [drm]
[  271.354725]  [<ffffffffa00606df>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[  271.354742]  [<ffffffffa004fa79>] drm_ioctl+0x229/0x600 [drm]
[  271.354767]  [<ffffffffa00606a0>] ? drm_mode_obj_set_property_ioctl+0x340/0x340 [drm]
[  271.354774]  [<ffffffff8135b090>] ? lockref_put_or_lock+0x50/0x80
[  271.354779]  [<ffffffff811fce84>] ? dput+0x24/0x170
[  271.354784]  [<ffffffff811f94a0>] do_vfs_ioctl+0x2e0/0x4a0
[  271.354789]  [<ffffffff811e7eee>] ? ____fput+0xe/0x10
[  271.354795]  [<ffffffff810a930c>] ? task_work_run+0xac/0xe0
[  271.354799]  [<ffffffff811f96e1>] SyS_ioctl+0x81/0xa0
[  271.354804]  [<ffffffff8111fac6>] ? __audit_syscall_exit+0x1f6/0x2a0
[  271.354810]  [<ffffffff816ff2e9>] system_call_fastpath+0x16/0x1b
[  271.354814] ---[ end trace 4579f19bcf678820 ]---

Comment 4 Alex Wajda 2014-08-16 19:24:51 UTC
Description of problem:
When DisplayPort switches to power save mode the system often becomes unresponsive on wake up.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.15.8-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1196 at drivers/gpu/drm/i915/intel_display.c:860 intel_wait_for_pipe_off+0x1de/0x1f0 [i915]()
pipe_off wait timed out
Modules linked in: tcp_lp rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast ccm ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw fuse vmw_vsock_vmci_transport vsock bnep vmw_vmci iTCO_wdt iTCO_vendor_support ppdev mxm_wmi coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel arc4 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic uvcvideo iwldvm ghash_clmulni_intel videobuf2_vmalloc microcode videobuf2_memops snd_hda_intel joydev mac80211 videobuf2_core snd_hda_controller snd_usb_audio serio_raw videodev snd_hda_codec btusb i2c_i801 snd_usbmidi_lib intel_ips bluetooth snd_rawmidi snd_hwdep media snd_seq iwlwifi snd_seq_device sdhci_pci sdhci cfg80211 mmc_core snd_pcm lpc_ich mfd_core mei_me mei shpchp thinkpad_acpi snd_timer snd tpm_tis soundcore rfkill parport_pc tpm parport wmi binfmt_misc i915 i2c_algo_bit drm_kms_helper drm e1000e firewire_ohci i2c_core firewire_core crc_itu_t ptp hid_logitech_dj pps_core video
CPU: 2 PID: 1196 Comm: Xorg Not tainted 3.15.8-200.fc20.x86_64 #1
Hardware name: LENOVO 43147NU/43147NU, BIOS 6MET87WW (1.47 ) 07/14/2011
 0000000000000000 00000000800bebff ffff8800b589fbd8 ffffffff816ef9ae
 ffff8800b589fc20 ffff8800b589fc10 ffffffff8108933d ffff88022dbcc000
 0000000000070008 0000000102f49271 0000000000000000 ffff8800369be348
Call Trace:
 [<ffffffff816ef9ae>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0172cc7>] ? gen5_read32+0x57/0xd0 [i915]
 [<ffffffffa017fe1e>] intel_wait_for_pipe_off+0x1de/0x1f0 [i915]
 [<ffffffffa017fedb>] intel_disable_pipe+0xab/0xc0 [i915]
 [<ffffffffa0181134>] ironlake_crtc_disable+0xe4/0x9a0 [i915]
 [<ffffffffa0188017>] intel_crtc_update_dpms+0x67/0xa0 [i915]
 [<ffffffffa018bde9>] intel_connector_dpms+0x59/0x70 [i915]
 [<ffffffffa00e06e8>] drm_mode_obj_set_property_ioctl+0x328/0x340 [drm]
 [<ffffffffa00e073f>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
 [<ffffffffa00cfa3c>] drm_ioctl+0x1ec/0x660 [drm]
 [<ffffffff815c59d1>] ? sock_aio_read+0x21/0x40
 [<ffffffff811e5f87>] ? do_sync_read+0x67/0xa0
 [<ffffffff811f9ad0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811e66c4>] ? vfs_read+0xf4/0x160
 [<ffffffff811f9d11>] SyS_ioctl+0x81/0xa0
 [<ffffffff8111fc36>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816ff9e9>] system_call_fastpath+0x16/0x1b

Comment 5 Alex Wajda 2014-08-31 13:55:34 UTC
Description of problem:
It's somehow related to DisplayPort power save mode. It's increadibly unstable.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.15.10-201.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.15.10-201.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1069 at drivers/gpu/drm/i915/intel_display.c:860 intel_wait_for_pipe_off+0x1de/0x1f0 [i915]()
pipe_off wait timed out
Modules linked in: rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ccm ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support ppdev mxm_wmi snd_hda_codec_hdmi coretemp snd_hda_codec_conexant snd_hda_codec_generic kvm_intel snd_hda_intel uvcvideo snd_usb_audio snd_hda_controller videobuf2_vmalloc kvm videobuf2_memops snd_hda_codec arc4 videobuf2_core snd_usbmidi_lib snd_hwdep videodev snd_rawmidi media snd_seq iwldvm crct10dif_pclmul snd_seq_device crc32_pclmul btusb mac80211 crc32c_intel bluetooth snd_pcm ghash_clmulni_intel iwlwifi microcode joydev cfg80211 i2c_i801 serio_raw thinkpad_acpi sdhci_pci snd_timer intel_ips sdhci mmc_core lpc_ich snd mfd_core rfkill tpm_tis mei_me shpchp mei soundcore parport_pc tpm parport wmi binfmt_misc i915 i2c_algo_bit drm_kms_helper hid_logitech_dj drm firewire_ohci e1000e firewire_core ptp pps_core crc_itu_t i2c_core video
CPU: 1 PID: 1069 Comm: Xorg Not tainted 3.15.10-201.fc20.x86_64 #1
Hardware name: LENOVO 43147NU/43147NU, BIOS 6MET87WW (1.47 ) 07/14/2011
 0000000000000000 000000004cc53a33 ffff88022221bbd8 ffffffff816ef848
 ffff88022221bc20 ffff88022221bc10 ffffffff8108927d ffff88022dadc000
 0000000000070008 00000001002f7de6 0000000000000000 ffff88022dc8db48
Call Trace:
 [<ffffffff816ef848>] dump_stack+0x45/0x56
 [<ffffffff8108927d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810892fc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0162cc7>] ? gen5_read32+0x57/0xd0 [i915]
 [<ffffffffa016fe1e>] intel_wait_for_pipe_off+0x1de/0x1f0 [i915]
 [<ffffffffa016fedb>] intel_disable_pipe+0xab/0xc0 [i915]
 [<ffffffffa0171134>] ironlake_crtc_disable+0xe4/0x9a0 [i915]
 [<ffffffffa0178017>] intel_crtc_update_dpms+0x67/0xa0 [i915]
 [<ffffffffa017bde9>] intel_connector_dpms+0x59/0x70 [i915]
 [<ffffffffa00ac6e8>] drm_mode_obj_set_property_ioctl+0x328/0x340 [drm]
 [<ffffffffa00ac73f>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
 [<ffffffffa009ba3c>] drm_ioctl+0x1ec/0x660 [drm]
 [<ffffffff8135b640>] ? lockref_put_or_lock+0x50/0x80
 [<ffffffff811fd404>] ? dput+0x24/0x170
 [<ffffffff811f9a20>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811e846e>] ? ____fput+0xe/0x10
 [<ffffffff810a923c>] ? task_work_run+0xac/0xe0
 [<ffffffff811f9c61>] SyS_ioctl+0x81/0xa0
 [<ffffffff816ff969>] system_call_fastpath+0x16/0x1b

Comment 6 Justin M. Forbes 2014-11-13 15:55:19 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 7 Fedora Kernel Team 2015-04-28 18:22:57 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.